/* UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2025 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#include "flightPath.h"

flightPath::flightPath() {
    //defaultContructor
}

flightPath::~flightPath() {
    //dtor
}

flightPathPoint::flightPathPoint(double aTime,
                                 double aRange,
                                 double anAltitude,
                                 double aTAS,
                                 double aMach,
                                 double aTamb,
                                 double aPamb,
                                 double aFuelConsumed,
                                 double aFuelFlow,
                                 double aNOxFlow,
                                 double aN1,
                                 double aSt3MassFlow,
                                 double aSt3TotalTemperature,
                                 double aSt3StaticTemperature,
                                 double aSt3TotalPressure,
                                 double aSt3Mach,
                                 double aSt4FuelAir,
                                 double aBPR)
    :
    time(aTime),
    range(aRange),
    altitude(anAltitude),
    TAS(aTAS),
    Mach(aMach),
    Tamb(aTamb),
    Pamb(aPamb),
    fuelConsumed(aFuelConsumed),
    fuelFlow(aFuelFlow),
    NOxFlow(aNOxFlow),
    N1(aN1),
    St3MassFlow(aSt3MassFlow),
    St3TotalTemperature(aSt3TotalTemperature),
    St3StaticTemperature(aSt3StaticTemperature),
    St3TotalPressure(aSt3TotalPressure),
    St3Mach(aSt3Mach),
    St4FuelAir(aSt4FuelAir),
    BPR(aBPR) {
    //ctor
}

flightPathPoint::~flightPathPoint() {
    //dtor
}
