/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2025 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#ifndef TAPER_RATIO_METHODS_H_
#define TAPER_RATIO_METHODS_H_

#include <cmath>
#include <numbers>
#include <string>
using modes = std::string;

namespace user_defined {
double taper_ratio(const double user_taper_ratio);
}
namespace howe {
double taper_ratio(const double aspect_ratio, const double quarter_chord_sweep);
}

double get_design_taper_ratio(modes taper_ratio_mode, const double user_taper_ratio, const double aspect_ratio,
                              const double quarter_chord_sweep);
#endif  // TAPER_RATIO_METHODS_H_